> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Retrieves the list of users in the given workspace

GET https://api-d.docusign.com/v1/accounts/{accountId}/workspaces/{workspaceId}/users

This operations retrieves the users in a workspace. Users sent envelopes or assigned tasks will automatically be added to the workspace with the Participate role.

Pagination is supported by passing `start_position` and `count` in the request. The response will include `resultSetSize`, `start_position`, and `end_position` which may be utilized for subsequent requests.

[Required authentication scopes](/docs/workspaces-api/auth/): `dtr.rooms.read`

Reference: https://developers.docusign.com/docs/workspaces-api/reference/workspaces/workspaceusers/getworkspaceusers

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from Docusign authorization server

## Servers

- `https://api-d.docusign.com` (Demo, default)
- `https://api.docusign.com` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The ID of the account
- `workspaceId` (string, required) — The ID of the workspace

### Query parameters

- `count` (integer, optional) — Number of workspace users to return. Defaults to the maximum which is 100.
- `start_position` (integer, optional) — Position of the first item in the total results. Defaults to 0.
- `filter` (string, optional) — Returns workspace users filtered by Name and Email
- `sort` (enum, optional) — Sorts results. Options are `first_name_asc`, `first_name_desc`, `last_name_asc`, `last_name_desc`, `email_asc`, `email_desc`. Defaults to `last_name_desc`
  - Allowed values: `first_name_asc`, `last_name_asc`, `email_asc`, `first_name_desc`, `last_name_desc`, `email_desc`

## Response

### 200

The workspace user was successfully retrieved

- `users` (list of WorkspaceUserSummary, required, nullable) — The user summary list. Includes the ID, name, and metadata such as the role ID and role name
- `result_set_size` (integer, optional, nullable) — The number of users returned in the response. Always equal or less than the `count` of the request
- `start_position` (integer, optional, nullable) — Position of the first item in the total results
- `end_position` (integer, optional, nullable) — Position of the last item in the total results
- `total_row_count` (integer, optional, nullable) — The total number of users in the workspace applicable to the request regardless of pagination. It may not always be computed

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 401 Unauthorized Error

Not authorized to make this request

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

### 404 Not Found Error

The workspace was not found

- `any`

### 500 Internal Server Error

Internal Server Error

- `message` (string, optional, nullable) — A brief message describing the error condition
- `errorCode` (string, optional, nullable) — A standardized code that generalizes the specific error

## Types

### WorkspaceUserSummary

- `user_id` (string, optional) — The ID of the user
- `email` (string, optional, nullable) — The email of the user
- `first_name` (string, optional, nullable) — The first name of the user
- `last_name` (string, optional, nullable) — The last name of the user
- `role_id` (string, optional, nullable) — The ID of the users's role
- `role_name` (string, optional, nullable) — The name of the user's role

## Examples

**Response**

```json
{
  "users": [
    {
      "user_id": "211e2d22-f070-4c8d-b6a7-ecb14ceb81b4",
      "email": "john.doe@example.com",
      "first_name": "John",
      "last_name": "Doe",
      "role_id": "4a8e1b7c-2d5f-4c3a-9b6e-1f8a2c4d6e9b",
      "role_name": "Manage"
    },
    {
      "user_id": "3b2c4d5e-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
      "email": "jane.smith@example.com",
      "first_name": "Jane",
      "last_name": "Smith",
      "role_id": "7f2a9e1c-5b8d-4f6a-a1c3-8e4b7d1a5c9f",
      "role_name": "Participate"
    },
    {
      "user_id": "4c3d5e6f-7a8b-9c0d-1e2f-3a4b5c6d7e8f",
      "email": "bob.johnson@example.com",
      "first_name": "Bob",
      "last_name": "Johnson",
      "role_id": "7f2a9e1c-5b8d-4f6a-a1c3-8e4b7d1a5c9f",
      "role_name": "Participate"
    }
  ],
  "result_set_size": 3,
  "start_position": 0,
  "end_position": 2,
  "total_row_count": 3
}
```